<?xml version="1.0" encoding="UTF-8"?>  
<!DOCTYPE sqlMap   
    PUBLIC "-//ibatis.apache.org//DTD SQL Map 2.0//EN"   
    "http://ibatis.apache.org/dtd/sql-map-2.dtd">  
<sqlMap namespace="com.hst.tmService.dao.BusDxptAppMapper">

	<parameterMap class="java.util.Map" id="queryNsrSjYzmMap">
    	<parameter property="nsrsbh"     javaType="java.lang.String"  jdbcType="VARCHAR" mode="IN"/>
    	<parameter property="sjhm"       javaType="java.lang.String"  jdbcType="VARCHAR" mode="IN"/>
    	<parameter property="dxnr"       javaType="java.lang.String"  jdbcType="VARCHAR" mode="IN"/>
    	<parameter property="yxsj"       javaType="java.lang.Integer" jdbcType="VARCHAR" mode="IN"/>
    	<parameter property="yzmlen"     javaType="java.lang.Integer" jdbcType="VARCHAR" mode="IN"/>
	    <parameter property="code"       javaType="java.lang.String"  jdbcType="VARCHAR" mode="OUT" />
	    <parameter property="mess"       javaType="java.lang.String"  jdbcType="VARCHAR" mode="OUT" />
    </parameterMap>
    
    <procedure id="queryNsrSjYzm" parameterMap="queryNsrSjYzmMap" >
    	{call P_WEBJK_DXPT41_GETYZM(?,?,?,?,?,?,?)}
    </procedure>
	
	
	<parameterMap class="java.util.Map" id="checkNsrSjYzmMap">
    	<parameter property="sjhm"       javaType="java.lang.String"  jdbcType="VARCHAR" mode="IN"/>
    	<parameter property="yzm"        javaType="java.lang.String"  jdbcType="VARCHAR" mode="IN"/>
	    <parameter property="code"       javaType="java.lang.String"  jdbcType="VARCHAR" mode="OUT" />
	    <parameter property="mess"       javaType="java.lang.String"  jdbcType="VARCHAR" mode="OUT" />
    </parameterMap>
    
    <procedure id="checkNsrSjYzm" parameterMap="checkNsrSjYzmMap" >
    	{call P_WEBJK_DXPT42_CHECKYZM(?,?,?,?)}
    </procedure>
  
</sqlMap>